/***********************
* Adobe Edge Composition Actions
*
* Edit this file with caution, being careful to preserve 
* function signatures and comments starting with 'Edge' to maintain the 
* ability to interact with these actions from within Adobe Edge
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // aliases for commonly used Edge classes
//Edge symbol: 'stage'
(function(symbolName) {

Symbol.bindElementAction(compId, symbolName, "", "loaded", function(sym, e) {
// insert code for loaded event here
$('#target').blur();
});
//Edge binding end

Symbol.bindElementAction(compId, symbolName, "${_txtSport}", "click", function(sym, e) {
// play the timeline from the current position
sym.play('aniSport');

sym.$("bokeh").fadeTo("slow",0.3);
//$(this.lookupSelector("stage")).css("background-color","white");

$("body").css("background-color","#193846");
//Original Stage color #5d5e61

sym.$("skier").animate({ marginTop: "-100px" }, 900);
sym.$("woman2").animate({ marginTop: "0px" }, 700);
sym.$("car2").animate({ marginTop: "0px" }, 700);
sym.$("txtSportDesc").animate({ marginTop: "0px" }, 400).fadeTo("fast",1);
sym.$("titleSports").fadeTo("slow",1);

});
//Edge binding end

Symbol.bindElementAction(compId, symbolName, "${_txtSport}", "mouseover", function(sym, e) {
sym.$("txtStatus").html("Sports").css("color","yellow").fadeTo("slow",1.0);
sym.$("txtSport").css("color","yellow").fadeTo("slow",1.0);

});
//Edge binding end

Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 600, function(e) {
// stop the timeline at the current position
this.stop();

});
//Edge binding end

Symbol.bindElementAction(compId, symbolName, "${_txtInfo}", "click", function(sym, e) {
// play the timeline from the given position (milliseconds or label)
sym.play("aniInfo");

sym.$("bokeh").fadeTo("slow",0.3);

$("body").css("background-color","#3c2615");

sym.$("woman2").animate({ marginTop: "-100px" }, 900);
sym.$("skier").animate({ marginTop: "0px" }, 700);
sym.$("car2").animate({ marginTop: "0px" }, 700);
sym.$("txtInfoDesc").animate({ marginTop: "0px" }, 400).fadeTo("fast",1);
sym.$("titleInfo").fadeTo("slow",1);

});
//Edge binding end

Symbol.bindElementAction(compId, symbolName, "${_txtInfo}", "mouseover", function(sym, e) {
sym.$("txtStatus").fadeTo("slow",1.0);
sym.$("txtStatus").html("Information");
sym.$("txtInfo").css("color","yellow");

});
//Edge binding end

Symbol.bindElementAction(compId, symbolName, "${_txtTravel}", "mouseover", function(sym, e) {
sym.$("txtStatus").fadeTo("slow",1.0);
sym.$("txtStatus").html("Travel");
sym.$("txtTravel").css("color","yellow");

});
//Edge binding end

Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 814, function(e) {
// stop the timeline at the current position
this.stop();

});
//Edge binding end

Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1056, function(e) {
// stop the timeline at the current position
this.stop();

});
//Edge binding end

Symbol.bindElementAction(compId, symbolName, "${_txtTravel}", "click", function(sym, e) {
// play the timeline from the current position
sym.play("aniTravel");
// fade out bokeh graphic
sym.$("bokeh").fadeTo("slow",0.3);
// change body background color
$("body").css("background-color","#10485f");
// toggle/animate respective elements
sym.$("car2").animate({ marginTop: "-100px" }, 900);
sym.$("woman2").animate({ marginTop: "0px" }, 700);
sym.$("skier").animate({ marginTop: "0px" }, 700);
// animate text in
sym.$("txtTravelDesc").animate({ marginTop: "0px" }, 400).fadeTo("fast",1);

$(this.lookupSelector("titleTravel")).fadeTo("slow",1);});
//Edge binding end



Symbol.bindElementAction(compId, symbolName, "${_txtSport}", "mouseout", function(sym, e) {
sym.$("txtStatus").css("color","white").fadeTo("slow",0.0);
sym.$("txtSport").css("color","white").fadeTo("slow",1.0);

$(this.lookupSelector("bokeh")).fadeTo("slow",1);});
//Edge binding end

Symbol.bindElementAction(compId, symbolName, "${_txtInfo}", "mouseout", function(sym, e) {
sym.$("txtStatus").fadeTo("slow",0.0);
sym.$("txtInfo").css("color","white");

$(this.lookupSelector("bokeh")).fadeTo("slow",1);});
//Edge binding end

Symbol.bindElementAction(compId, symbolName, "${_txtTravel}", "mouseout", function(sym, e) {
sym.$("txtStatus").fadeTo("slow",0.0);
sym.$("txtTravel").css("color","white");
sym.$("bokeh").fadeTo("slow",1);

});
//Edge binding end

Symbol.bindElementAction(compId, symbolName, "${_edgeLink}", "mouseover", function(sym, e) {
sym.$("edgeLink").fadeTo("slow",1.0);
sym.$("edgeLink").css({"color":"#ffffff","cursor":"pointer"});

});
//Edge binding end

Symbol.bindElementAction(compId, symbolName, "${_edgeLink}", "click", function(sym, e) {
window.open("http://www.adobe.com", "_blank");

});
//Edge binding end

















Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
var title=$("title").text();
$("body").prepend("<div class='future'><h1>" + title + "</h1></div>");

//Center the Stage
sym.$("Stage").css({"margin-left":"auto","margin-right":"auto"});
//Force body of webpage to a specific color
$("body").css("background-color","#5d5e61");




$(this.lookupSelector("edgeLink")).css('cursor','pointer');});
//Edge binding end

Symbol.bindElementAction(compId, symbolName, "${_edgeLink}", "mouseout", function(sym, e) {
sym.$("edgeLink").css("color","#eee8e8");

$(this.lookupSelector("edgeLink")).fadeTo("slow",0.5);});
//Edge binding end

Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1471, function(e) {
// stop the timeline at the current position
this.stop();

});
//Edge binding end

})("stage");
   //Edge symbol end:'stage'

})(jQuery, AdobeEdge, "EDGE-12167456");